Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Jul 2021 22:37:50 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Or...  did I speak too soon?  It builds fine on Debian and Windows
> (incrementally and bootstrap), but I'm getting this on Macos:

Ah, I'm seeing it elsewhere too when saying "touch lisp/*.el":

make[2]: *** [Makefile:279: ../lisp/cus-start.elc] Error 139
make[1]: *** [Makefile:765: ../lisp/cus-start.elc] Error 2
/bin/sh: line 2: 113032 Segmentation fault      (core dumped) EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -l bytecomp -f byte-compile-refresh-preloaded -f batch-byte-compile ../lisp/button.el
make[2]: *** [Makefile:279: ../lisp/button.elc] Error 139
make[1]: *** [Makefile:765: ../lisp/button.elc] Error 2
/bin/sh: line 2: 113024 Segmentation fault      (core dumped) EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -l bytecomp -f byte-compile-refresh-preloaded -f batch-byte-compile ../lisp/abbrev.el

Still investigating...  perhaps I got the lifecycle of a variable wrong
or something?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no